#include <util/datetime/base.h>

#include "config.h"

namespace NWebmaster {

void TConfig::Load() {
    TConfigBase::Load();

    Assign(MR_SERVER_HOST, "mapreduce.server.host");

    Assign(TABLE_RAW_STATS_DIR, "table.raw.stats.dir");
    Assign(TABLE_GROUPS_NAME, "table.groups.name");
    Assign(TABLE_WEEKLY_STATS_DIR, "table.weekly.stats.dir");
    Assign(TABLE_WEEKLY_STATS_NAME_PREFIX, "table.weekly.stats.name.prefix");
    Assign(MAX_RESULT_TABLES_COUNT, "max.result.tables.count");
}

} //namespace NWebmaster
